zed: |
  type port=int64; type prec={p: port}; type parr=[port]; put .=cast({a:port, b:prec, c: parr})

input: |
  {a: 1 (myport=(int16)), b:{p: 1 (myport)}, c:[1(myport)]}
  {a: 1, b:{p: 1}, c:[1]}

output: |
  {a:1 (=port),b:{p:1 (port)} (=0),c:[1 (port)] (=1)} (=2)
  {a:1,b:{p:1},c:[1]} (2)
